Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.PEP.Extract

class slepc4py.SLEPc.PEP.Extract

  Bases: `object`

  PEP extraction strategy used.

  PEP extraction strategy used to obtain eigenvectors of the PEP from the eigenvectors of the linearization.

  - `NONE`: Use the first block.

  - `NORM`: Use the first or last block depending on norm of H.

  - `RESIDUAL`: Use the block with smallest residual.

  - `STRUCTURED`: Combine all blocks in a certain way.

  Attributes Summary

  `NONE` | Constant `NONE` of type `int`
  `NORM` | Constant `NORM` of type `int`
  `RESIDUAL` | Constant `RESIDUAL` of type `int`
  `STRUCTURED` | Constant `STRUCTURED` of type `int`

  Attributes Documentation

  NONE: int = NONE

    Constant `NONE` of type `int`

  NORM: int = NORM

    Constant `NORM` of type `int`

  RESIDUAL: int = RESIDUAL

    Constant `RESIDUAL` of type `int`

  STRUCTURED: int = STRUCTURED

    Constant `STRUCTURED` of type `int`